Skip to main content
POST
/
api
/
v1
/
search
/
app_resources
SearchAppResources
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppResourceSearch.SearchAppResources(ctx, nil)
    if err != nil {
        log.Fatal(err)
    }
    if res.SearchAppResourcesResponse != nil {
        for {
            // handle items

            res, err = res.Next()

            if err != nil {
                // handle error
            }

            if res == nil {
                break
            }
        }
    }
}
{
  "expanded": [
    {
      "@type": "<string>"
    }
  ],
  "list": [
    {
      "appPath": "<string>",
      "appResource": {
        "accessConfigId": "<string>",
        "appId": "<string>",
        "appResourceTypeId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "customDescription": "<string>",
        "deletedAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "displayName": "<string>",
        "externalId": "<string>",
        "grantCount": "<string>",
        "id": "<string>",
        "matchBatonId": "<string>",
        "parentAppResourceId": "<string>",
        "parentAppResourceTypeId": "<string>",
        "profile": {},
        "secretTrait": {
          "identityAppUserId": "<string>",
          "lastUsedAt": "2023-11-07T05:31:56Z",
          "secretCreatedAt": "2023-11-07T05:31:56Z",
          "secretExpiresAt": "2023-11-07T05:31:56Z"
        },
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "objectPermissions": {
        "delete": true,
        "edit": true,
        "extra": {},
        "read": true
      },
      "parentResourcePath": "<string>",
      "parentResourceTypePath": "<string>",
      "resourceTypePath": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Body

application/json

Search app resources based on filters specified in the request body.

appId
string

The app ID to restrict the search to.

appUserIds
string[] | null

A list of app user IDs to restrict the search by.

excludeDeletedResourceBindings
boolean

If true, exclude resources whose bindings have been deleted.

excludeResourceIds
string[] | null

A list of resource IDs to exclude from the search results.

excludeResourceTypeTraitIds
string[] | null

A list of resource type trait IDs to exclude from the search.

ownerUserIds
string[] | null

A list of C1 user IDs to filter resources by ownership.

pageSize
integer<int32>

The maximum number of results to return per page.

pageToken
string

The token for fetching the next page of results.

query
string

Fuzzy search the display name of resources.

refs
App Resource Ref · object[] | null

A list of specific app resource references to restrict the search to.

resourceIds
string[] | null

A list of resource IDs to restrict the search to.

resourceTypeIds
string[] | null

A list of resource type IDs to restrict the search by.

resourceTypeTraitIds
string[] | null

A list of resource type trait IDs to restrict the search by.

Response

200 - application/json

The SearchAppResourcesResponse message contains a list of results and a nextPageToken if applicable.

The SearchAppResourcesResponse message contains a list of results and a nextPageToken if applicable.

expanded
object[] | null

List of serialized related objects.

list
App Resource View · object[] | null

The list of app resource results.

nextPageToken
string

The token for fetching the next page of results.